/**********************************************************************
 * server_port.h                                               May 1999
 * Horms                                             horms@vergenet.net
 *
 * Data type for handling server/port pairs
 *
 * Released under the terms of the GNU GPL
 *
 **********************************************************************/

#ifndef SERVER_PORT_STIX
#define SERVER_PORT_STIX

#include <stdlib.h>
#include "log.h"
#include "str.h"
#include <gdbm.h>

#define SERVER_PORT_DELIMITER ':'

/* #defines to destroy and dupilcate strings */
#define DESTROY_SP (void (*)(void *s))server_port_destroy
#define DUP_SP (void *(*)(void *s))server_port_dup
#define DISPLAY_SP (void (*)(char *d, void *s))server_port_display
#define LEN_SP (size_t (*)(void *s))server_port_length


typedef struct {
  char *servername;
  char *port;
} server_port_t;

server_port_t *server_port_create (void);
void server_port_assign(
  server_port_t *server_port, 
  char *servername, 
  char *port
);
void server_port_unassign(server_port_t *server_port);
void server_port_destroy(server_port_t *server_port);
char * server_port_get_port(const server_port_t *server_port);
char * server_port_get_servername(const server_port_t *server_port);
server_port_t *server_port_strn_assign(
  server_port_t *server_port,
  const char *str,
  const int len
);
void server_port_display(char *dest, const server_port_t *server_port);
size_t server_port_length(server_port_t *src);
server_port_t *server_port_dup(server_port_t *src);


#endif





